Bug 524976 - lock holder preemption on KVM VMs
lock holder preemption on KVM VMs
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
All Linux
low Severity medium
: rc
: 5.5
Assigned To: Tim Burke
Lawrence Lim
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
Reported: 2009-09-22 16:44 EDT by Bill Braswell
Modified: 2014-03-25 21:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-06 09:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Braswell 2009-09-22 16:44:00 EDT
Description of problem:
When the total number of vcpu's on a host is larger than the number of physical processors, there is the possibility that a vcpu on a multi cpu guest will be preempted by the hypervisor while the vcpu holds a kernel lock.  Then other vcpu's on the guest that are trying to acquire the lock simply spin.

The customer is currently adjusting the real time priority and using the nice command to shorten the time slice of the qemu on the host. They feel this does help improve performance in these situations. They have asked us to include something like this part of an official maintenance release of RHEL 5.

They are wanting it addressed in RHEL 5 because “over-provisioning is one of the features users like to exploit on virtualization.”  I have discussed this briefly with Chris Wright and he agreed a BZ should be opened to address this.
Comment 1 Issue Tracker 2009-11-10 15:14:56 EST
Event posted on 09-28-2009 10:43am EDT by Glen Johnson

------- Comment From lnx1138@linux.vnet.ibm.com 2009-09-28 10:40 EDT-------

Has Red Hat had a chance to try the additional performance tests as
suggested by Andrew?

This event sent from IssueTracker by jkachuck 
 issue 338069
Comment 2 Dor Laor 2009-11-29 05:17:43 EST
Does guest spin lock detector backport is enough here or do we need any potential scheduler setting changed? IMO the first should be enough, at least for a start
Comment 3 Chris Wright 2009-12-07 18:22:53 EST
The backport deadlocks ;-(
Comment 4 Issue Tracker 2009-12-14 10:14:52 EST
Event posted on 12-14-2009 10:04am EST by Glen Johnson

------- Comment From habanero@us.ibm.com 2009-12-14 09:56 EDT-------
I recommend we close this bug as will_not_fix and focus on Red Hat 6 to
ensure we have no issues there.   For 5.x, I suggest we encourage
customers to use 1-way VMs first, and only use SMP VMs when absolutely

This event sent from IssueTracker by jkachuck 
 issue 338069

Note You need to log in before you can comment on or make changes to this bug.